#include "zonefile_cod12_pc.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD12_PC::ZoneFile_COD12_PC()
{

}

ZoneFile_COD12_PC::~ZoneFile_COD12_PC()
{

}

bool ZoneFile_COD12_PC::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD12_PC::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "0000000000000000") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "0100000000000000") {
        return Utils::ASSET_PHYS_CONSTRAINTS;
    } else if (cleanedType == "0200000000000000") {
        return Utils::ASSET_DESTRUCTIBLE_DEF;
    } else if (cleanedType == "0300000000000000") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "0400000000000000") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "0500000000000000") {
        return Utils::ASSET_XMODEL_MESH;
    } else if (cleanedType == "0600000000000000") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "0700000000000000") {
        return Utils::ASSET_COMPUTE_SHADER_SET;
    } else if (cleanedType == "0800000000000000") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "0900000000000000") {
        return Utils::ASSET_IMAGE;
    } else if (cleanedType == "0A00000000000000") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "1100000000000000") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "1500000000000000") {
        return Utils::ASSET_FONT_ICON;
    } else if (cleanedType == "1700000000000000") {
        return Utils::ASSET_WEAPON;
    } else if (cleanedType == "1C00000000000000") {
        return Utils::ASSET_PLAYER_SOUNDS_TABLE;
    } else if (cleanedType == "1D00000000000000") {
        return Utils::ASSET_PLAYER_FX_TABLE;
    } else if (cleanedType == "1E00000000000000") {
        return Utils::ASSET_SHARED_WEAPON_SOUNDS;
    } else if (cleanedType == "1F00000000000000") {
        return Utils::ASSET_ATTACHMENT;
    } else if (cleanedType == "2000000000000000") {
        return Utils::ASSET_ATTACHMENT_UNIQUE;
    } else if (cleanedType == "2100000000000000") {
        return Utils::ASSET_WEAPON_CAMO;
    } else if (cleanedType == "2200000000000000") {
        return Utils::ASSET_CUSTOMIZATION_TABLE;
    } else if (cleanedType == "2300000000000000") {
        return Utils::ASSET_CUSTOMIZATION_TABLE_FEIMAGES;
    } else if (cleanedType == "2400000000000000") {
        return Utils::ASSET_CUSTOMIZATION_TABLE_COLOR;
    }else if (cleanedType == "2600000000000000") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "2F00000000000000") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "3000000000000000") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "3100000000000000") {
        return Utils::ASSET_STRUCTURED_TABLE;
    } else if (cleanedType == "3200000000000000") {
        return Utils::ASSET_LEADERBOARD_DEF;
    } else if (cleanedType == "3300000000000000") {
        return Utils::ASSET_DDL;
    } else if (cleanedType == "3600000000000000") {
        return Utils::ASSET_SCRIPT_PARSE_TREE;
    } else if (cleanedType == "3700000000000000") {
        return Utils::ASSET_KEY_VALUE_PAIRS;
    } else if (cleanedType == "3800000000000000") {
        return Utils::ASSET_VEHICLE;
    } else if (cleanedType == "3A00000000000000") {
        return Utils::ASSET_VEHICLE_TRACER;
    } else if (cleanedType == "3C00000000000000") {
        return Utils::ASSET_SURFACE_FX_TABLE;
    } else if (cleanedType == "3D00000000000000") {
        return Utils::ASSET_SURFACE_SOUND_DEF;
    } else if (cleanedType == "3E00000000000000") {
        return Utils::ASSET_FOOTSTEP_TABLE;
    } else if (cleanedType == "3F00000000000000") {
        return Utils::ASSET_ENTITY_FX_IMPACTS;
    } else if (cleanedType == "4000000000000000") {
        return Utils::ASSET_ENTITY_SOUND_IMPACTS;
    } else if (cleanedType == "4200000000000000") {
        return Utils::ASSET_VEHICLE_FX_DEF;
    } else if (cleanedType == "4300000000000000") {
        return Utils::ASSET_VEHICLE_SOUND_DEF;
    } else if (cleanedType == "4500000000000000") {
        return Utils::ASSET_SCRIPT_BUNDLE;
    } else if (cleanedType == "4600000000000000") {
        return Utils::ASSET_SCRIPT_BUNDLE_LIST;
    } else if (cleanedType == "4700000000000000") {
        return Utils::ASSET_RUMBLE;
    } else if (cleanedType == "4A00000000000000") {
        return Utils::ASSET_AIM_TABLE;
    } else if (cleanedType == "4B00000000000000") {
        return Utils::ASSET_ANIM_SELECTOR_TABLE;
    } else if (cleanedType == "4C00000000000000") {
        return Utils::ASSET_ANIM_MAPPING_TABLE;
    } else if (cleanedType == "4D00000000000000") {
        return Utils::ASSET_ANIM_STATE_MACHINE;
    } else if (cleanedType == "4E00000000000000") {
        return Utils::ASSET_BEHAVIOR_TREE;
    } else if (cleanedType == "4F00000000000000") {
        return Utils::ASSET_BEHAVIOR_STATE_MACHINE;
    } else if (cleanedType == "5100000000000000") {
        return Utils::ASSET_S_ANIM;
    } else if (cleanedType == "5200000000000000") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "5300000000000000") {
        return Utils::ASSET_BIT_FIELD;
    } else if (cleanedType == "5400000000000000") {
        return Utils::ASSET_SURFACE_SOUND_DEF;
    } else if (cleanedType == "5500000000000000") {
        return Utils::ASSET_SURFACE_FX_TABLE;
    } else if (cleanedType == "5600000000000000") {
        return Utils::ASSET_RUMBLE;
    } else if (cleanedType == "5900000000000000") {
        return Utils::ASSET_AIM_TABLE;
    } else if (cleanedType == "5A00000000000000") {
        return Utils::ASSET_MAP_TABLE;
    } else if (cleanedType == "5B00000000000000") {
        return Utils::ASSET_MAP_TABLE_LOADING_IMAGES;
    } else if (cleanedType == "5C00000000000000") {
        return Utils::ASSET_MEDAL;
    } else if (cleanedType == "5D00000000000000") {
        return Utils::ASSET_MEDAL_TABLE;
    } else if (cleanedType == "5E00000000000000") {
        return Utils::ASSET_OBJECTIVE;
    } else if (cleanedType == "5F00000000000000") {
        return Utils::ASSET_OBJECTIVE_LIST;
    } else if (cleanedType == "6400000000000000") {
        return Utils::ASSET_LASER;
    } else if (cleanedType == "6500000000000000") {
        return Utils::ASSET_BEAM;
    } else if (cleanedType == "6600000000000000") {
        return Utils::ASSET_STREAMER_HINT;
    } else if (cleanedType == "1B00000000000000") {
        return Utils::ASSET_CG_MEDIA_TABLE;
    }

    return Utils::ASSET_NONE;
}

